SDL_sinf(3)

NAME
SDL_sinf - Compute the sine of x.

SYNOPSIS
#include <SDL3/SDL_stdinc.h>

float SDL_sinf(float x);

DESCRIPTION
Domain: -INF <= x <= INF

Range: -1 <= y <= 1

This function operates on single-precision floating point values, use SDL_sin for double-precision floats.

This function may use a different approximation across different versions, platforms and configurations. i.e, it can return a different value given the same input on different machines or operating systems, or if SDL is updated.

FUNCTION PARAMETERS

x   floating point value, in radians.

RETURN VALUE
Returns sine of x.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_sin(3), SDL_asinf(3), SDL_cosf(3)